ความสามารถ
สิ่งที่แต่ละโมเดลทำได้ผ่าน API แยกตามโมเดล: tools, อินพุตรูปภาพ, การให้เหตุผล, เอาต์พุต JSON, prompt caching, การค้นหาเว็บ และ streaming
ทุกโมเดลเรียกผ่านสาม endpoint เดียวกันด้วยคีย์เดียวกัน ตารางสองตารางแสดงจุดที่โมเดลต่างกัน เครื่องหมายขีดหมายความว่าโมเดลตอบโดยไม่มีความสามารถนั้น
โมเดล Shannon
| โมเดล | Tools | รูปภาพ | การให้เหตุผล | ระดับความพยายาม | ออบเจกต์ JSON | JSON schema | แคช | ค้นหา | Streaming |
|---|---|---|---|---|---|---|---|---|---|
shannon-1.6-lite | มี | มี | — | — | มี | มี | — | มี | มี |
shannon-1.6-pro | มี | มี | มี | — | มี | มี | — | มี | มี |
shannon-2-lite | มี | — | มี | — | มี | มี | — | มี | มี |
shannon-2-pro | มี | — | มี | — | มี | มี | — | มี | มี |
shannon-3 | มี | มี | มี | — | มี | มี | — | มี | มี |
shannon-3-pro | มี | มี | มี | — | มี | มี | — | มี | มี |
shannon-3.1 | มี | มี | มี | — | มี | มี | — | มี | มี |
shannon-3.1-pro | มี | มี | มี | — | มี | มี | — | มี | มี |
shannon-3.5 | มี | — | — | — | มี | มี | — | — | มี |
shannon-coder-1 | มี | — | มี | — | มี | มี | — | — | มี |
โมเดล open-weight ที่โฮสต์
id ของโมเดลที่โฮสต์คือชื่อและตัวแปรของโมเดลที่ต่อกันด้วยขีดกลาง เช่น DeepSeek-V4-Pro-0813-3BIT-REAP
| โมเดล | Tools | รูปภาพ | การให้เหตุผล | ระดับความพยายาม | ออบเจกต์ JSON | JSON schema | แคช | ค้นหา | Streaming |
|---|---|---|---|---|---|---|---|---|---|
DeepSeek-V4-Pro-0813 3BIT-REAP | มี | — | มี | มี | มี | มี | มี | — | มี |
GLM-5.2 3BIT-REAP | มี | — | มี | มี | มี | มี | มี | — | มี |
Kimi-K3 3BIT-REAP | มี | มี | มี | มี | มี | มี | มี | — | มี |
Nemotron3Ultra 3BIT-REAP | มี | — | มี | มี | มี | มี | มี | — | มี |
MiniMax-M3 3BIT-REAP | มี | มี | มี | มี | มี | มี | มี | — | มี |
DeepSeek-V4-Flash-0731 W4A16-AUTOROUND-REAP | มี | — | มี | มี | มี | มี | มี | — | มี |
Kimi-K2.6 W4A16-AUTOROUND-REAP | มี | มี | มี | มี | มี | มี | มี | — | มี |
Laguna-S-2.1 W4A16-AUTOROUND-REAP | มี | — | มี | มี | — | — | มี | — | มี |
inkling W4A16-AUTOROUND-REAP | มี | มี | มี | มี | มี | — | มี | — | มี |
MiMo-V2.5-Pro W8A16 | มี | — | มี | มี | มี | มี | มี | — | มี |
MiMo-V2.5 W8A16 | มี | มี | มี | มี | มี | มี | มี | — | มี |
Hy3 W8A16 | มี | — | มี | มี | มี | มี | มี | — | มี |
ความหมายของแต่ละคอลัมน์
- Tools. คุณอธิบายฟังก์ชันใน
toolsโมเดลตอบกลับด้วยการเรียกที่ต้องการให้ทำ และโค้ดของคุณเป็นผู้รัน ทุกโมเดลรับ tools ส่วนtool_choiceแบบบังคับ โมเดล open-weight ที่โฮสต์จะนำไปใช้ การเรียกฟังก์ชัน - อินพุตรูปภาพ. โมเดลอ่านรูปภาพที่ส่งมาในข้อความของผู้ใช้ ทั้งแบบ data URL หรือแบบที่อยู่
shannon-2-liteและshannon-2-proอ่านรูปภาพได้ในคำขอที่ส่งtoolsหรือresponse_formatด้วย ตระกูล Shannon 3 อ่านเอกสารได้ด้วย รูปภาพและไฟล์ - การให้เหตุผล. คำตอบอาจมีข้อความการให้เหตุผลของโมเดลมาพร้อมกับคำตอบ ในฟิลด์ของตัวเอง ระดับความพยายามในการให้เหตุผล
- ระดับความพยายามในการให้เหตุผล. ฟิลด์ในคำขอกำหนดว่าโมเดลให้เหตุผลลึกเพียงใด:
off,low,mediumหรือhighโมเดล Shannon กำหนดความลึกเอง ระดับความพยายามในการให้เหตุผล - ออบเจกต์ JSON. เมื่อใช้
response_format: {"type": "json_object"}คำตอบจะเป็น JSON ที่ไม่มีรูปแบบกำหนดไว้ ใช้ได้บน/v1/chat/completionsและ/v1/responsesเอาต์พุตแบบมีโครงสร้าง - JSON schema. เมื่อใช้
response_formatประเภทjson_schemaคำตอบจะเป็นไปตาม schema ที่คุณส่ง ใช้ได้บน/v1/chat/completionsและ/v1/responsesเอาต์พุตแบบมีโครงสร้าง - Prompt caching. prompt ที่ขึ้นต้นเหมือนกับ prompt ล่าสุดบนโมเดลเดียวกันจะถูกอ่านจากแคช และส่วนที่แคชไว้จะถูกคิดราคา 25% ของราคา input ไม่ต้องใช้ฟิลด์ในคำขอ การแคชพรอมต์
- การค้นหาเว็บ. เมื่อใช้
web_search: trueAPI จะค้นหาเว็บและส่งผลลัพธ์ให้โมเดลก่อนตอบ ใช้ได้บน/v1/chat/completionsและ/v1/messagesเป็นฟิลด์ของคำขอ และไม่มีแฟลกในGET /v1/modelsค้นหาเว็บในตัว - Streaming. เมื่อใช้
stream: trueคำตอบจะมาถึงเป็น server-sent events ระหว่างที่โมเดลกำลังเขียน ทุกโมเดลสตรีมได้ทั้งสาม endpoint สตรีมมิง
ข้อมูลเดียวกันจาก GET /v1/models
GET https://api.shannon-ai.com/v1/models
GET /v1/models แสดงรายการทุกโมเดลพร้อมออบเจกต์ capabilities ดังนั้นโปรแกรมสามารถอ่านข้อมูลเหล่านี้ได้แทนการอ่านหน้านี้ endpoint นี้ไม่ต้องใช้คีย์
from openai import OpenAI
client = OpenAI(api_key="YOUR_API_KEY", base_url="https://api.shannon-ai.com/v1")
for model in client.models.list():
print(model.id, getattr(model, "capabilities", None)) import OpenAI from "openai";
const client = new OpenAI({ apiKey: "YOUR_API_KEY", baseURL: "https://api.shannon-ai.com/v1" });
for await (const model of client.models.list()) {
console.log(model.id, model.capabilities);
} curl https://api.shannon-ai.com/v1/models id และ capabilities ของสองรายการใน data:
[
{
"id": "shannon-3",
"capabilities": {
"tools": true,
"vision": true,
"reasoning": true,
"reasoning_effort": false,
"streaming": true,
"json_schema": true
}
},
{
"id": "Kimi-K3-3BIT-REAP",
"capabilities": {
"tools": true,
"vision": true,
"reasoning": true,
"reasoning_effort": true,
"streaming": true,
"response_format": true,
"json_schema": true,
"prompt_caching": true
}
}
] | คอลัมน์ | แฟลกใน capabilities |
|---|---|
| Tools | tools |
| อินพุตรูปภาพ | vision |
| การให้เหตุผล | reasoning |
| ระดับความพยายามในการให้เหตุผล | reasoning_effort |
| ออบเจกต์ JSON | response_format |
| JSON schema | json_schema |
| Prompt caching | prompt_caching |
| การค้นหาเว็บ | ไม่ใช่แฟลก: เป็นฟิลด์คำขอ web_search |
| Streaming | streaming |
response_formatและprompt_cachingเป็นแฟลกของรายการโมเดล open-weight ที่โฮสต์ ส่วนรายการ Shannon จะรายงานเอาต์พุต JSON ด้วยjson_schemaเพียงตัวเดียว ซึ่งหมายถึงทั้งสองโหมด JSONvisionเป็นtrueสำหรับshannon-2-liteและshannon-2-pro: อ่านรูปภาพได้ในคำขอที่ส่งtoolsหรือresponse_formatด้วย
นอกแถวของโมเดล
โมเดล open-weight ที่โฮสต์จะปฏิเสธรูปภาพหรือโหมด JSON ที่อยู่นอกแถวของตน การปฏิเสธเกิดขึ้นก่อนที่จะมีการหักอะไรจากยอดคงเหลือของคุณ:
| สถานะ | ประเภท | ข้อความ | เมื่อไร |
|---|---|---|---|
400 | invalid_request_error | <id> does not accept image input | ส่งรูปภาพไปยังโมเดล open-weight ที่โฮสต์ซึ่งไม่รองรับอินพุตรูปภาพ |
400 | invalid_request_error | <id> does not accept response_format | ขอเอาต์พุต JSON จากโมเดล open-weight ที่โฮสต์ซึ่งไม่มีโหมด JSON ทั้งสองแบบ |
400 | invalid_request_error | <id> does not accept response_format json_schema; use json_object | ส่ง schema ไปยังโมเดล open-weight ที่โฮสต์ซึ่งมีเฉพาะโหมดออบเจกต์ JSON |
โมเดล Shannon ตอบคำขอลักษณะนี้ด้วยสถานะ 200: ความสามารถที่อยู่นอกแถวของมันไม่มีส่วนในคำตอบ การจัดการข้อผิดพลาด